# https://github.com/openrdap/rdap
%global goipath         github.com/openrdap/rdap
Version:                0.9.1

%gometa

%global common_description %{expand:
Command line RDAP client implementation in Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Command line RDAP client implementation in Go

License:        MIT
URL:            %{gourl}
Source0:        https://%{goipath}/archive/refs/tags/v%{version}.tar.gz#/rdap-%{version}.tar.gz

BuildRequires:  golang(github.com/alecthomas/kingpin/v2)
BuildRequires:  golang(github.com/mitchellh/go-homedir)
BuildRequires:  golang(golang.org/x/crypto/pkcs12)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/jarcoal/httpmock)

%description
%{common_description}

%gopkg

%package -n rdap
Summary:       %{summary}

%description -n rdap
OpenRDAP is an command line Registration Data Access Protocol (RDAP) client
implementation in Go. Supports all RDAP query types (domain, ip, asn, help,
nameserver, and searches). Automatic query type detection (domain, ip, asn
queries). Full bootstrapping support (using data.iana.org, or a custom URL).

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/rdap %{goipath}/cmd/rdap

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%gocheck

%files -n rdap
%license LICENSE
%doc README.md
%{_bindir}/rdap

%gopkgfiles

%changelog
* Sat Mar 22 2025 <nucleo@fedoraproject.org> - 0.9.1-1
- rdap 0.9.1
